curl --request POST \
--url https://app.leadconduit.com/onboards \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"invitation_id": "64b8f0f5e4b0c3a1d5e6f7a8"
}
'import requests
url = "https://app.leadconduit.com/onboards"
payload = { "invitation_id": "64b8f0f5e4b0c3a1d5e6f7a8" }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({invitation_id: '64b8f0f5e4b0c3a1d5e6f7a8'})
};
fetch('https://app.leadconduit.com/onboards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"invitation_id": "64b8f0f5e4b0c3a1d5e6f7a9",
"id": "5fd4371e940df5a34a3888b2",
"account_id": "64b8f0f5e4b0c3a1d5e6f7a8",
"connection_id": "64b8f0f5e4b0c3a1d5e6f7aa",
"flow_id": "64b8f0f5e4b0c3a1d5e6f7ab",
"status": "created",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Create a new onboard
Creates a new onboard record to track a buyer connection setup process. Requires an invitation_id which will be used to retrieve the associated connection.
Authorizations
LeadConduit uses HTTP Basic Authentication
with the username API and your API key as the password.
For example: API:1f1b96c9150d8050e858c043d543bb4eadae0e6f'
Body
Create a new onboard
Request body for creating a new onboard
Response
Created
An onboard record tracks the onboarding process for a buyer connection
The invitation ID associated with this onboard
^[0-9a-fA-F]{24}$"64b8f0f5e4b0c3a1d5e6f7a9"
24 character alpha-numeric BSON identifier
^[0-9a-fA-F]{24}$"5fd4371e940df5a34a3888b2"
The account ID that owns this onboard
^[0-9a-fA-F]{24}$"64b8f0f5e4b0c3a1d5e6f7a8"
The connection ID used for the onboard (retrieved from the invitation)
^[0-9a-fA-F]{24}$"64b8f0f5e4b0c3a1d5e6f7aa"
The flow ID to be used for the onboard (normally the minimal flow)
^[0-9a-fA-F]{24}$"64b8f0f5e4b0c3a1d5e6f7ab"
Current status of the onboard process, recommended values are: created, in_progress, completed
"created"
Timestamp when the onboard was created
Timestamp when the onboard was last updated